package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsReport;
import java.util.List;

public interface IPmsReportService {
    /**
     * 查询报告列表
     */
    List<PmsReport> selectList(PmsReport report);

    /**
     * 根据主键查询报告
     */
    PmsReport selectById(Long id);

    /**
     * 新增报告
     */
    int insert(PmsReport report);

    /**
     * 修改报告
     */
    int update(PmsReport report);

    /**
     * 删除报告
     */
    int deleteById(Long id);

    /**
     * 批量删除报告
     */
    int deleteByIds(Long[] ids);
}
